Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698154 - dev-libs/libgusb-0.3.1 version bump
Summary: dev-libs/libgusb-0.3.1 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 703296
  Show dependency tree
 
Reported: 2019-10-20 20:17 UTC by Esteve Varela Colominas
Modified: 2019-12-18 15:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libgusb-0.3.1.ebuild (libgusb-0.3.1.ebuild,1.17 KB, text/plain)
2019-12-18 14:21 UTC, Jason A. Donenfeld
Details
libgusb-0.3.1.ebuild (libgusb-0.3.1.ebuild,1.11 KB, text/plain)
2019-12-18 14:29 UTC, Jason A. Donenfeld
Details
0001-dev-libs-libgusb-bump-to-0.3.1.patch (0001-dev-libs-libgusb-bump-to-0.3.1.patch,2.71 KB, patch)
2019-12-18 14:31 UTC, Jason A. Donenfeld
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Esteve Varela Colominas 2019-10-20 20:17:37 UTC
https://github.com/hughsie/libgusb/archive/0.3.0.tar.gz
https://github.com/hughsie/libgusb/blob/master/NEWS

Version 0.3.0
~~~~~~~~~~~~~
Released: 2018-02-14

New Features:
 - Add Travis integration (Richard Hughes)
 - Allow changing the path to usb.ids file (Ting-Wei Lan)
 - Port to the Meson build system (Richard Hughes)

Bugfixes:
 - Replace libusb-1.0/libusb.h with libusb.h (Ting-Wei Lan)
Comment 1 Joakim Tjernlund 2019-11-20 19:09:47 UTC
Now we have 0.3.1
Comment 2 Joakim Tjernlund 2019-11-20 19:12:46 UTC
This fix seems to be the most important one:

 gi: made actual_length introspection annotations

the actual_length parameter of GUsbDevice's transfer-methods should
be out parameters. otherwise the generated vala bindings will cause
programs to segfault.
Comment 3 Jason A. Donenfeld gentoo-dev 2019-12-18 14:21:44 UTC
Created attachment 600032 [details]
libgusb-0.3.1.ebuild

--- libgusb-0.2.11.ebuild	2019-12-03 10:56:50.035143341 +0100
+++ libgusb-0.3.1.ebuild	2019-12-18 15:19:48.970069587 +0100
@@ -1,10 +1,10 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 VALA_USE_DEPEND="vapigen"
 
-inherit eutils gnome2 multilib-minimal vala
+inherit meson multilib-minimal vala
 
 DESCRIPTION="GObject wrapper for libusb"
 HOMEPAGE="https://github.com/hughsie/libgusb"
@@ -12,7 +12,7 @@
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="alpha amd64 ~arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
 
 IUSE="+introspection static-libs vala"
 REQUIRED_USE="vala? ( introspection )"
@@ -33,22 +33,16 @@
 RESTRICT="test"
 
 src_prepare() {
-	gnome2_src_prepare
 	use vala && vala_src_prepare
+	default
 }
 
 multilib_src_configure() {
-	ECONF_SOURCE=${S} \
-	gnome2_src_configure \
-		$(multilib_native_use_enable introspection) \
-		$(use_enable static-libs static) \
-		$(multilib_native_use_enable vala)
-
-	if multilib_is_native_abi; then
-		ln -s "${S}"/docs/api/html docs/api/html || die
-	fi
-}
-
-multilib_src_install() {
-	gnome2_src_install
+	local emesonargs=(
+		-Dvapi=$(usex vala true false)
+		-Dintrospection=$(usex introspection true false)
+		-Dwith-docs=$(multilib_is_native_abi && echo true || echo false)
+		-Dstatic=$(usex static-libs true false)
+	)
+	meson_src_configure
 }
Comment 4 Jason A. Donenfeld gentoo-dev 2019-12-18 14:29:42 UTC
Created attachment 600036 [details]
libgusb-0.3.1.ebuild

--- libgusb-0.2.11.ebuild	2019-12-03 10:56:50.035143341 +0100
+++ libgusb-0.3.1.ebuild	2019-12-18 15:28:18.063513682 +0100
@@ -1,10 +1,10 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 VALA_USE_DEPEND="vapigen"
 
-inherit eutils gnome2 multilib-minimal vala
+inherit meson multilib-minimal vala
 
 DESCRIPTION="GObject wrapper for libusb"
 HOMEPAGE="https://github.com/hughsie/libgusb"
@@ -12,9 +12,9 @@
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="alpha amd64 ~arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
 
-IUSE="+introspection static-libs vala"
+IUSE="+introspection static-libs vala gtk-doc"
 REQUIRED_USE="vala? ( introspection )"
 
 RDEPEND="
@@ -23,32 +23,27 @@
 	introspection? ( >=dev-libs/gobject-introspection-1.29:= )
 "
 DEPEND="${RDEPEND}
-	dev-libs/libxslt
-	dev-util/gtk-doc-am
 	virtual/pkgconfig[${MULTILIB_USEDEP}]
 	vala? ( $(vala_depend) )
 "
+BDEPEND="${DEPEND}
+	gtk-doc? ( dev-util/gtk-doc )
+"
 
 # Tests try to access usb devices in /dev
 RESTRICT="test"
 
 src_prepare() {
-	gnome2_src_prepare
 	use vala && vala_src_prepare
+	default
 }
 
 multilib_src_configure() {
-	ECONF_SOURCE=${S} \
-	gnome2_src_configure \
-		$(multilib_native_use_enable introspection) \
-		$(use_enable static-libs static) \
-		$(multilib_native_use_enable vala)
-
-	if multilib_is_native_abi; then
-		ln -s "${S}"/docs/api/html docs/api/html || die
-	fi
-}
-
-multilib_src_install() {
-	gnome2_src_install
+	local emesonargs=(
+		$(meson_use vala vapi)
+		$(meson_use gtk-doc docs)
+		$(meson_use introspection)
+		$(meson_use static-libs static)
+	)
+	meson_src_configure
 }
Comment 5 Jason A. Donenfeld gentoo-dev 2019-12-18 14:31:07 UTC
Created attachment 600038 [details, diff]
0001-dev-libs-libgusb-bump-to-0.3.1.patch

For git-am, as requested.
Comment 6 Larry the Git Cow gentoo-dev 2019-12-18 15:07:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba577ae75cc7611310231a10fdc51d8570b84503

commit ba577ae75cc7611310231a10fdc51d8570b84503
Author:     Jason A. Donenfeld <zx2c4@gentoo.org>
AuthorDate: 2019-12-18 14:30:28 +0000
Commit:     Jason A. Donenfeld <zx2c4@gentoo.org>
CommitDate: 2019-12-18 15:06:57 +0000

    dev-libs/libgusb: bump to 0.3.1
    
    Closes: https://bugs.gentoo.org/698154
    Package-Manager: Portage-2.3.82, Repoman-2.3.20
    Signed-off-by: Jason A. Donenfeld <zx2c4@gentoo.org>

 dev-libs/libgusb/Manifest             |  1 +
 dev-libs/libgusb/libgusb-0.3.1.ebuild | 66 +++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)